import { MemoryStorageService } from './memory-storage.service';
import { SessionStorageService } from './session-storage.service';
import { LocalStorageService } from './local-storage.service';
export declare enum StorageType {
    IN_MEMORY_STORAGE = 1,
    LOCAL_STORAGE = 2,
    SESSION_STORAGE = 3
}
export declare class PreferencesService {
    memoryService: MemoryStorageService;
    localService: LocalStorageService;
    sessionService: SessionStorageService;
    private storage;
    constructor(memoryService: MemoryStorageService, localService: LocalStorageService, sessionService: SessionStorageService);
    setStorage(storage: StorageType): void;
    getStorage(): number;
    usePrefix(prefix: string): void;
    clear(): void;
    put(key: string, value: any): void;
    get(key: string, defaultValue?: any): any;
    remove(key: string): void;
    removeStartsWith(startWith: string): void;
    removeEndsWith(endsWith: string): void;
    getInStringFormat(): any;
    getInCompressFormat(): any;
    putFromCompressFormat(compressed: any): void;
}
